## MacPorts-2.11.3.tar.gz

=== tests/test/case-insensitive-deactivate/DESCRIPTION ===
This test checks for case-insensitive port names. From Portfile.in it
generates a Portfile which is installed with a lowercase name (casesensitive)
and uninstalled with a CamelCase name (CaseSensitivE). The install/uninstall
is verified by the existence/absence of the '/tmp/macports-tests/opt/local/var/test/case'
file.

There are 2 test cases. One to install a port and the other to uninstall.

See ticket #11759,
https://trac.macports.org/ticket/11759

=== tests/test/checksums-1/DESCRIPTION ===
This test evaluates the checksum values of an empty file against the expected
ones. These are taken from the output of the 'port -d test' command, by
searching a line that beging with the string "debug: calculated".

There are 3 test cases, one for each checksum used. The port command must
return the calculated checksums in debug mode, with the form: "DEBUG:
Calculated (_checksum-name_) " for the test to work.

=== tests/test/setuid/DESCRIPTION ===
This test checks for successfully setting setuid bits in the port build phase.
This was initially broken on macOS 10.13 High Sierra.

https://trac.macports.org/ticket/54963

=== src/macports1.0/tests/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem              1.0

name                    gcc_select
version                 0.1
revision                4
categories              sysutils
platforms               darwin
license                 BSD
maintainers             mww
supported_archs         noarch
description             Switch the default compiler
long_description        gcc_select lets you switch the default compiler. \
                        It symlinks the standard compiler executables \
                        in the MacPorts prefix to the selected version.

homepage                http://svn.macports.org/repository/macports/contrib/select/
master_sites            ${homepage}
distname                select-${version}
checksums               sha1    18e1f95c2ddd88210aa52eb696261859af2dc3a4

configure.args          --mandir=${prefix}/share/man --name=gcc

post-destroot {
    xinstall -d ${destroot}${prefix}/etc/select/gcc
    touch ${destroot}${prefix}/etc/select/gcc/base
}

livecheck.type          none

=== tests/test/dependencies-a/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem      1.0

name            dependencies-a
version         1
categories      test
maintainers     pguyot@kallisys.net
description     Test port for dependencies
homepage        https://www.macports.org/
platforms       darwin
supported_archs noarch
configure.cxx_stdlib

long_description ${description}

distfiles
use_configure   no
build           {}
destroot {
    system "touch ${destroot}${prefix}/lib/${name}"
}

default_variants +i_want_b

variant i_want_b {
    depends_lib-append  port:dependencies-b
}

test {
    # testing consists in processing dependencies
}

=== tests/test/envvariables/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem      1.0

name            envvariables
version         1
categories      test
maintainers     pguyot@kallisys.net
description     Test port for env variables
homepage        https://www.macports.org/
platforms       darwin
supported_archs noarch
configure.cxx_stdlib

long_description ${description}

distfiles
use_configure   no
build           {}
destroot {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    puts $env(ENVA)
    puts $env(ENVB)
}

=== tests/test/statefile-version2/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem          1.0
name                statefile-version2
version             1
categories          test
maintainers         cal
description         Test port for current statefiles, version 2
homepage            https://www.macports.org/
platforms           darwin
supported_archs     noarch
configure.cxx_stdlib

long_description    ${description}

distfiles

fetch               {}
extract             {}
use_configure       no
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}

=== tests/test/svn-and-patchsites/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem          1.0

name                svn-and-patchsites
version             2

categories          test
maintainers         nomaintainer
platforms           darwin
supported_archs     noarch
configure.cxx_stdlib

homepage            https://www.macports.org/
description         Test port for svn+distant patchfiles functionalities
long_description    ${description}

# Set svn.cmd to true to avoid a dependency on the SVN binary, reset
# depends_fetch to avoid the automatically added SVN dependency
fetch.type          svn
svn.cmd             true
svn.url             file://[pwd]/svn/repository
depends_fetch

# Use a local file to avoid hitting the network
patch_sites         file://[pwd]
patchfiles          patch
checksums           patch md5 d41d8cd98f00b204e9800998ecf8427e

# disable the patch phase because the patches would never apply
patch               {}
extract             {}
use_configure       no
build               {}
destroot {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    # test is actually running the fetch target
}
